Bug 259678 - multimedia/dvdstyler: Update to 3.2.1
Summary: multimedia/dvdstyler: Update to 3.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on: 259677
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-06 15:11 UTC by Alan Hicks
Modified: 2022-01-18 20:45 UTC (History)
2 users (show)

See Also:


Attachments
Patch to upgrade port from 3.1 to 3.2.1 (4.16 KB, patch)
2021-11-06 15:11 UTC, Alan Hicks
no flags Details | Diff
Poudriere build log (335.75 KB, text/plain)
2021-11-06 15:12 UTC, Alan Hicks
no flags Details
files/patch-wxVillaLib-PropDlg.cpp (321 bytes, patch)
2021-11-06 15:24 UTC, Alan Hicks
no flags Details | Diff
Patch to upgrade port from 3.1 to 3.2.1 (3.21 KB, patch)
2021-11-07 11:47 UTC, Alan Hicks
ahicks: maintainer-approval+
Details | Diff
Poudriere build log (337.19 KB, text/plain)
2021-11-07 11:49 UTC, Alan Hicks
ahicks: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Hicks 2021-11-06 15:11:16 UTC
Created attachment 229323 [details]
Patch to upgrade port from 3.1 to 3.2.1

Upgrade dvdstyler from 3.1 to 3.2.1
Bump USE_WX to 3.1 to fix dialog issues
Compiles with USES=compiler:c++11-lib and no longer requires gnu++11
Missing dependency on libudev added

dvdstyler and wxsvg must be built with the same wxWidgets (currently 3.0)
Requires 259677 wxsvg to also bump USE_WX to 3.1
Comment 1 Alan Hicks 2021-11-06 15:12:06 UTC
Created attachment 229324 [details]
Poudriere build log
Comment 2 Alan Hicks 2021-11-06 15:24:25 UTC
Created attachment 229325 [details]
files/patch-wxVillaLib-PropDlg.cpp

Patch to be added to files/
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-11-06 23:44:46 UTC
(In reply to Alan Hicks from comment #0)

Thanks for the report and update Alan. Could you combine the port update/patch attachments into a single one please. YOu can signify approval on patches for ports you maintain, by setting the attachment 'maintainer-approval' flag to +. [tags] in summaries are deprecated.

If there's a changelog associated with the update, please include this as a link in URL: and if its a bugfix and/or security/bugfix update, set merge-quarterly flag to ?
Comment 4 Alan Hicks 2021-11-07 11:47:48 UTC
Created attachment 229342 [details]
Patch to upgrade port from 3.1 to 3.2.1

Merged patch

ChangeLog https://sourceforge.net/projects/dvdstyler/files/dvdstyler/3.2.1/

There are no security bugs and no significant new features but there is a dependency changes from wx 3.0 to 3.1.
Comment 5 Alan Hicks 2021-11-07 11:49:48 UTC
Created attachment 229343 [details]
Poudriere build log

Updated build log following minor and cosmetic changes
Comment 6 commit-hook freebsd_committer 2022-01-18 20:44:00 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a98d4ac05dbf4edc95ce1ae95d35fbd5cf3f7bc2

commit a98d4ac05dbf4edc95ce1ae95d35fbd5cf3f7bc2
Author:     Danilo Egea Gondolfo <danilo@FreeBSD.org>
AuthorDate: 2022-01-18 19:37:46 +0000
Commit:     Danilo Egea Gondolfo <danilo@FreeBSD.org>
CommitDate: 2022-01-18 20:43:00 +0000

    multimedia/dvdstyler: Update to 3.2.1

    PR:             259678

 multimedia/dvdstyler/Makefile                          |  9 ++++-----
 multimedia/dvdstyler/distinfo                          |  6 +++---
 .../dvdstyler/files/patch-wxVillaLib-PropDlg.cpp (new) | 10 ++++++++++
 multimedia/dvdstyler/pkg-plist                         | 18 ++++++++++++++++--
 4 files changed, 33 insertions(+), 10 deletions(-)
Comment 7 Danilo Egea Gondolfo freebsd_committer 2022-01-18 20:45:29 UTC
Committed, thanks!